This is a Laravel 5 package that provides kegiatan management facility for lavalite framework.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `hilmysyarif/kegiatan`.

    "hilmysyarif/kegiatan": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

```php
Hilmysyarif\Kegiatan\Providers\KegiatanServiceProvider::class,

```

And also add it to alias

```php
'Kegiatan'  => Hilmysyarif\Kegiatan\Facades\Kegiatan::class,
```

Use the below commands for publishing

Migration and seeds

    php artisan vendor:publish --provider="Hilmysyarif\Kegiatan\Providers\KegiatanServiceProvider" --tag="migrations"
    php artisan vendor:publish --provider="Hilmysyarif\Kegiatan\Providers\KegiatanServiceProvider" --tag="seeds"

Configuration

    php artisan vendor:publish --provider="Hilmysyarif\Kegiatan\Providers\KegiatanServiceProvider" --tag="config"

Language

    php artisan vendor:publish --provider="Hilmysyarif\Kegiatan\Providers\KegiatanServiceProvider" --tag="lang"

Views public and admin

    php artisan vendor:publish --provider="Hilmysyarif\Kegiatan\Providers\KegiatanServiceProvider" --tag="view-public"
    php artisan vendor:publish --provider="Hilmysyarif\Kegiatan\Providers\KegiatanServiceProvider" --tag="view-admin"

Publish admin views only if it is necessary.

## Usage


