<?php

namespace Hilmysyarif\Kegiatan\Repositories\Eloquent;

use Hilmysyarif\Kegiatan\Interfaces\KegiatanRepositoryInterface;
use Litepie\Database\Eloquent\BaseRepository;

class KegiatanRepository extends BaseRepository implements KegiatanRepositoryInterface
{
    /**
     * @var array
     */
    protected $fieldSearchable = [
        'name'  => 'like'
    ];

    public function boot()
    {
        $this->pushCriteria(app('Litepie\Database\Criteria\RequestCriteria'));
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('package.kegiatan.kegiatan.model');
    }
}
