<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'hilmysyarif',

    /*
     * Package.
     */
    'package'   => 'kegiatan',

    /*
     * Modules.
     */
    'modules'   => ['kegiatan'],


    'kegiatan'       => [
        'model'             => 'Hilmysyarif\Kegiatan\Models\Kegiatan',
        'table'             => 'kegiatans',
        'hidden'            => [],
        'visible'           => [],
        'guarded'           => ['*'],
        'slugs'             => ['slug' => 'name'],
        'dates'             => ['deleted_at'],
        'appends'           => [],
        'fillable'          => ['user_id', 'photo_id',  'title',  'description',  'short_description',  'status'],
        'translatable'      => ['photo_id',  'title',  'description',  'short_description',  'status'],

        'upload-folder'     => '/uploads/kegiatan/kegiatan',
        'uploads'           => [
                                    'single'    => [],
                                    'multiple'  => [],
                               ],
        'casts'             => [
                               ],
        'revision'          => [],
        'perPage'           => '20',
        'search'        => [
            'name'  => 'like',
            'status',
        ],
    ],
];
