<?php

// Admin routes for kegiatan
Route::group(['prefix' => trans_setlocale().'/admin/kegiatan', 'middleware' => ['web', 'auth.role:admin']], function () {
    Route::resource('kegiatan', 'Hilmysyarif\Kegiatan\Http\Controllers\KegiatanAdminController');
});

// User routes for kegiatan
Route::group(['prefix' => trans_setlocale().'/user/kegiatan', 'middleware' => ['web', 'auth.role:user']], function () {
    Route::resource('kegiatan', 'Hilmysyarif\Kegiatan\Http\Controllers\KegiatanUserController');
});

// Public routes for kegiatan
Route::group(['prefix' => trans_setlocale(), 'middleware' => ['web']], function () {
    Route::get('kegiatan/kegiatan', 'Hilmysyarif\Kegiatan\Http\Controllers\KegiatanPublicController@index');
    Route::get('kegiatan/kegiatan/{slug?}', 'Hilmysyarif\Kegiatan\Http\Controllers\KegiatanPublicController@show');
});
