<?php

namespace Hilmysyarif\Kegiatan\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class KegiatanItemTransformer extends TransformerAbstract
{
    public function transform(\Hilmysyarif\Kegiatan\Models\Kegiatan $kegiatan)
    {
        return [
            'id'                => $kegiatan->getRouteKey(),
            'photo_id'          => $kegiatan->photo_id,
            'title'             => $kegiatan->title,
            'description'       => $kegiatan->description,
            'short_description' => $kegiatan->short_description,
            'status'            => $kegiatan->status,
        ];
    }
}